// Initialize your app
var myApp = new Framework7({
    animateNavBackIcon: true,
    // Enable templates auto precompilation
    precompileTemplates: true,
    // Enabled pages rendering using Template7
	swipeBackPage: true,
	swipePanelOnlyClose: true,
	pushState: true,
    template7Pages: true,
    popupCloseByOutside : false,//params
 //    onAjaxStart: function (xhr) {
	// 	myApp.showIndicator();
	// },
	// onAjaxComplete: function (xhr) {
	// 	myApp.hideIndicator();
	// },
    preprocess: function (content, url, next) {
    	
    	varibles['urlPage']	=(url.indexOf('?')>0)?url.substring(0,url.indexOf('?')):url;
    	urlQuery	=(url.indexOf('?')>0)?url.substring(url.indexOf('?')+1):'';
    	uriQuery	=[];
    	glang 		=storage.getItem('dLang'+defaultId);
    	if(urlQuery.indexOf('&')>0){
    		uriQuery	=urlQuery.split('&');
    	}
    	else {
    		if(urlQuery){
    			uriQuery[0]	=urlQuery;
    		}
    	}
    	uri =[];
    	if(uriQuery.length>0){
    		$.each(uriQuery,function(key,val){

    			x=val.split('=');
    			uri[x[0]]=x[1];
    		})
    	}
    	index 	=$.parseJSON(storage.getItem('index'+defaultId));
    	$('.toolbar').hide();
    	myApp.showIndicator();
        switch(varibles['urlPage']) {
        	case 'about.html':
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/about/',
				   type: "GET",
				   dataType: "html",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				    var compiledTemplate = Template7.compile(content);
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.about.title,
				    	content:data
				    };
				    next(compiledTemplate(dataJSON));
				    myApp.hideIndicator(); 
					
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator

				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})

        	break;

        	case 'contact.html':
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/contact/',
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	varibles['latitude']=data.latitude;
				 	varibles['longitude']=data.longitude;
				    var compiledTemplate = Template7.compile(content);
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.contact.title,
				    	address:data.address+'<br />',
				    	web:data.web+'<br />',
				    	email:data.email+'<br />',
				    	mobile:data.cell+'<br />',
				    	telephone:data.tell,
				    	message:translate['message'],
				    	send:translate['send'],
				    	call_num:data.callNum,
				    	sms_num:data.smsNum,
				    	call:translate['call'],
				    	sms:translate['sms'],
				    	ourlocation:translate['ourLocation']
				    };
				    next(compiledTemplate(dataJSON));
				    myApp.hideIndicator();
					
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})

        	break;
        	case 'agent.html':
    			$$.ajax({
				   url: hostUrl+glang+'/appv1/agent/',
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){

				    var compiledTemplate = Template7.compile(content);

				    var agent=[];
				    $.each(data,function(key , val){
				    	agent[key]={
				    		'pic':val['pic'],
				    		'title':(val['title']?val['title']+'<br />':''),
				    		'description':(val['description']?val['description']+'<br />':''),
				    		'name':(val['name']?val['name']+'<br />':''),
				    		'address':(val['address']?val['address']+'<br />':''),
				    		'web':(val['web']?('<a href="'+val['web']+'" class="external">'+val['web']+'</a>'+'<br />'):''),
				    		'cell':(val['cell']?val['cell']+'<br />':''),
				    		'tell':(val['tell']?val['tell']+'<br />':'')
				    	};
				    });

				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.agent.title,
				    	agents:agent
				    };
				    next(compiledTemplate(dataJSON));
				 	myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})
    		break;
    		case 'partners.html':
    			$$.ajax({
				   url: hostUrl+glang+'/appv1/partners/',
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){

				    var compiledTemplate = Template7.compile(content);

				    var partner=[];
				    $.each(data,function(key , val){
				    	partner[key]={
				    		'pic':val['pic'],
				    		'title':(val['title']?val['title']+'<br />':''),
				    		'description':(val['description']?val['description']+'<br />':'')
				    	};
				    });

				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.partners.title,
				    	partners:partner
				    };
				    next(compiledTemplate(dataJSON));
				 	myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})
    		break;
    		case 'search.html':

        		var compiledTemplate = Template7.compile(content);
		    
			    dataJSON={
			    	main_title:translate.title,
			    	title_page:index[uri.req]['title'],
			    	search_req:uri.req,
			    	fid:uri.id?uri.id:0,
			    	title:uri.title?uri.title:'',
			    	search:translate['search'],
			    	category:translate['category'],
			    	toolbarIcon:toolbarIcon
			    };
			    next(compiledTemplate(dataJSON));
			    myApp.hideIndicator();
        	break;
        	case 'catblog.html':
    			var id=uri.id?uri.id:0;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/category/prm/blog/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				    var compiledTemplate = Template7.compile(content);
			    
				    var cats=[];
				    $.each(data,function(key , val){
				    	cats[key]={
				    		'id':val['id'],
				    		'link':function() {
				    			if(Number(val['count']))
				    			return 'catblog.html?id='+val['id']
				    			else return 'blog.html?id='+val['id']
				    		},
				    		'title':(val['title']?val['title']+'<br />':''),
				    	};
				    });

				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.blog.title,
			    		search:translate['search'],
			    		category:translate['category'],
				    	cats:cats,
				    	toolbarIcon:toolbarIcon
				    };
				    next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
        	case 'blog.html':
        		var id=uri.id?uri.id:0;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/blog/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	varibles['blogCount']=data.count;
				 	varibles['blogCurent']=data.post.length;
				 	varibles['blogRow']=1;
				 	varibles['blogPage']=1;

				    var compiledTemplate = Template7.compile(content);
			    
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.blog.title,
			    		search:translate['search'],
			    		category:translate['category'],
				    	posts:blogTemplate(data['post']),
				    	toolbarIcon:toolbarIcon
				    };
				    next(compiledTemplate(dataJSON));
				    myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
    		case 'blog-item.html':
    			$$.ajax({
				   url: hostUrl+glang+'/appv1/showblog/prm/'+uri.id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	var compiledTemplate = Template7.compile(content);
		    
				    dataJSON={
				    	img:function(){
				    		var blogSlider='';
				    		$.each(data.content.pic,function(key,val){
				    			blogSlider+='<div class="swiper-slide"><img src="'+val+'" alt="" title="" /></div>';
				    		})
				    		return blogSlider;
				    	},
				    	main_title:translate.title,
				    	title_page:data.content.title,
				    	content:data.content.content,
				    	date:data.content.date,
				    	message:translate['message'],
				    	send_comment:translate.sendComment,
				    	other_comment: translate.otherComment,
				    	send:translate['send']
				    	
				    };
				    next(compiledTemplate(dataJSON));
				 	myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})

    		break;
    		case 'catproducts.html':
    			var id=uri.id?uri.id:0;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/category/prm/products/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){

				    var compiledTemplate = Template7.compile(content);
			    
				    var cats=[];
				    $.each(data,function(key , val){
				    	cats[key]={
				    		'id':val['id'],
				    		'link':function() {
				    			if(Number(val['count']))
				    			return 'catproducts.html?id='+val['id']
				    			else return 'products.html?id='+val['id']
				    		},
				    		'title':(val['title']?val['title']+'<br />':''),
				    	};
				    });

				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.products.title,
				    	search:translate['search'],
				    	category:translate['category'],
				    	cats:cats,
				    	toolbarIcon:toolbarIcon
				    };
				    next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
    		case 'products.html':
    			var id=uri.id?uri.id:0;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/products/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	varibles['productCount']=data.count;
				 	varibles['productCurent']=data.post.length;
				 	varibles['productRow']=1;
				 	varibles['productPage']=1;

				    var compiledTemplate = Template7.compile(content);
			    
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.products.title,
				    	search:translate['search'],
				    	category:translate['category'],
				    	post_products:productTemplate(data['post']),
				    	toolbarIcon:toolbarIcon
				    };
				    next(compiledTemplate(dataJSON));
				    myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
    		case 'products-item.html':

    			// alert(hostUrl+glang+'/appv1/showproduct/prm/'+uri.id)
    			$$.ajax({
				   url: hostUrl+glang+'/appv1/showproduct/prm/'+uri.id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				   	
				 	var compiledTemplate = Template7.compile(content);
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:data.content.title,
				    	description:translate['description'],
				    	img:function(){
				    		var productSlider='';
				    		$.each(data.content.pic,function(key,val){
				    			productSlider+='<div class="swiper-slide"><img src="'+val+'" alt="" title="" /></div>';
				    		})
				    		return productSlider;
				    	},
				    	price:function(){
				    		var price='';
				    		if(data.content.price && data.content.off){
				    			price= '<div class="shop_item_price"><del>'+data.content.price+'</del> '+data.content.off+'</div>';
				    		}
				    		else if(data.content.price){
				    			price= '<div class="shop_item_price">'+data.content.price+'</div>';
				    		}
				    		return price;
				    	},
				    	summary:data.content.summary,
				    	content:data.content.content,
				    	date:data.content.date,
				    	message:translate['message'],
				    	send_comment:translate.sendComment,
				    	other_comment: translate.otherComment,
				    	send:translate['send']
				    };
				    next(compiledTemplate(dataJSON));
				 	myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})
    		break;
    		case 'gallery.html':
    			var id=uri.id?uri.id:0;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/catgallery/prm/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				    var compiledTemplate = Template7.compile(content);
			    
				    var cats=[];
				    $.each(data,function(key , val){
				    	if(val['pic'])
				    	cats[key]={
				    		'id':val['id'],
				    		'pic':val['pic'],
				    		'title':(val['title']?val['title']:''),
				    	};
				    });

				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.gallery.title,
				    	cats:cats
				    };
				    next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;

        	case 'catgallery.html':
        		var id=uri.id?uri.id:0;
        		
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/gallery/prm/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				   	varibles['galleryCount']=data.count;
				 	varibles['galleryCurent']=data.pics.length;
				 	varibles['galleryRow']=1;
				 	varibles['galleryPage']=1;
				    var compiledTemplate = Template7.compile(content);
				    var pics=[];
				    $.each(data['pics'],function(key , val){
				    	if(val['id'])
				    	pics[key]={
				    		'id':val['id'],
				    		'thumb':val['thumb'],
				    		'pic':val['pic'],
				    		'title':(val['title']?val['title']:'')
				    	};
				    });
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.gallery.title,
				    	category:translate['category'],
				    	pics:pics,
				    	toolbarIcon:toolbarIcon
				    };
				    
				    next(compiledTemplate(dataJSON));

					myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
        	case 'catfreepage.html':
    			var id=uri.id?uri.id:0;
    			var pid=uri.pid?uri.pid:id;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/freecategory/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				    var compiledTemplate = Template7.compile(content);
			    
				    var cats=[];
				    $.each(data,function(key , val){
				    	cats[key]={
				    		'id':val['id'],
				    		'link':function() {
				    			if(Number(val['count'])){
				    				alert(val['count'])
				    				return 'catfreepage.html?pid='+pid+'&id='+val['id']+'&title='+val['title'];
				    			}
				    			else return 'freepage.html?pid='+pid+'&id='+val['id']+'&title='+val['title'];
				    		},
				    		'title':(val['title']?val['title']+'<br />':''),
				    	};
				    });

				    dataJSON={
				    	main_title:translate.title,
				    	title_page:decodeURI(uri.title),
				    	fid:pid,
				    	pid:pid,
			    		search:translate['search'],
			    		category:translate['category'],
				    	cats:cats,
				    	toolbarIcon:toolbarIcon
				    };
				    next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
    		case 'freepage.html':
    			var id=uri.id?uri.id:0;
    			var pid=uri.pid?uri.pid:id;
        		$$.ajax({
				   url: hostUrl+glang+'/appv1/freepage/'+id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	varibles['freepageCount']=data.count;
				 	varibles['freepageCurent']=data.post.length;
				 	varibles['freepageRow']=1;
				 	varibles['freepagePage']=1;

				    var compiledTemplate = Template7.compile(content);
			    
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:decodeURI(uri.title),
				    	fid:pid,
				    	pid:pid,
			    		search:translate['search'],
			    		category:translate['category'],
				    	posts:freepageTemplate(data['post']),
				    	toolbarIcon:toolbarIcon
				    };
				    next(compiledTemplate(dataJSON));
					myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

				  }
				})
        	break;
    		case 'freepage-item.html':
    			$$.ajax({
				   url: hostUrl+glang+'/appv1/showfreepage/prm/'+uri.id,
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	var compiledTemplate = Template7.compile(content);
		    
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:data.content.title,
				    	content:data.content.content,
				    	date:data.content.date,
				    	message:translate['message'],
				    	send_comment:translate.sendComment,
				    	other_comment: translate.otherComment,
				    	send:translate['send']
				    };
				    next(compiledTemplate(dataJSON));
				 	myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})
    		break;

    		case 'poll.html':
    			$$.ajax({
				   url: hostUrl+glang+'/appv1/poll/',
				   type: "GET",
				   dataType: "json",
				   // if successful response received (http 2xx)
				   success: function(data, textStatus ){
				 	var compiledTemplate = Template7.compile(content);
		    
				    dataJSON={
				    	main_title:translate.title,
				    	title_page:index.poll.title,
				    	form_poll:data.form
				    };
				    next(compiledTemplate(dataJSON));
				 	myApp.hideIndicator();
				  },
				  error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);
				  }
				})
    		break;

        	default :
        		var template = Template7.compile(content);
                var resultContent = template({main_title:translate.title});
                myApp.hideIndicator();
                return resultContent; 
        	break;
        }
    }

});

// Export selectors engine
var $$ = Dom7;

// Add main View
var mainView = myApp.addView('.view-main', {
    // Enable dynamic Navbar
    dynamicNavbar: false,
});

// set popup language
function setLangs() {
	data =$.parseJSON(storage.getItem('langs'+defaultId));
	countLang =$.map(data['langs'], function(el) { return el }).length;
	if (countLang>1) {
		var langs='';

        $.each(data['langs'], function( key, value ) {
		  langs+='<a href="#" class="form_submit close-popup defaultLang" value="'+key+'" dir="'+value['dir']+'">'+value['title']+'</a>';
		});

        $('#langform').html(langs);
		myApp.popup('.popup-languages', true);
	}
	else {
		$.each(data['langs'], function( key, value ) {
			setSetting(key,value['dir'],false);
		});
	}
}

function setSetting(lang,dir,changeLang) {
	if(lang==glang && changeLang){
		return false;
	}
	if(glang && glang!=lang){
		nowLangs=storage.getItem('langs'+defaultId);
		localStorage.clear();
		setSlide=false;
		storage.setItem('langs'+defaultId,nowLangs);
		storage.setItem('version'+defaultId,version)
	}
	if(mId)storage.setItem('mId'+defaultId,mId);
	glang=lang;
	storage.setItem('dLang'+defaultId,lang);
	storage.setItem('dirLang'+defaultId,dir);
	setDir();
	myApp.showIndicator();
	$$.ajax({
		   url: hostUrl+lang+'/appv1/getindex/',
		   type: "GET",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){

		    data = $.parseJSON(data);
		    storage.setItem('index'+defaultId,JSON.stringify(data['index']));
		    storage.setItem('translate'+defaultId,JSON.stringify(data['translate']));
		    storage.setItem('themColor'+defaultId,data.theme.color);
	    	storage.setItem('homeIcon'+defaultId,data.theme.hicon);
			storage.setItem('toolbarIcon'+defaultId,data.theme.micon);
			themColor=data.theme.color;
			homeIcon=data.theme.hicon;
			toolbarIcon=data.theme.micon;
			$('#themColor').attr('href',themColor+'.css');
		    initPage=false;
		    if(changeLang && mId){
		    	if(varibles['urlPage']=='index.html')window.location.replace('')
		    	else location.reload();
		    }
		    init();
		    if(!storage.getItem('mId'+defaultId)){
				setLogin();
			}
		    myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
	});
}

function setLogin(){
	var translate =$.parseJSON(storage.getItem('translate'+defaultId));
	errorConnection: translate['errConnection'];
	var loginHTML = Template7.templates.loginTemplate({
	    name: translate['name'],
	    cell: translate['cell'],
	    birthDate: translate['birthDate'],
	    accept: translate['accept'],
	    later: translate['later']
	});
	var lang =storage.getItem('dLang'+defaultId);
	$('#popupLogin').html(loginHTML);
	myApp.popup('.popup-login');
	$("#LoginForm").validate({messages: {name:{required:translate['required']},cell:{required:translate['required']}},
		submitHandler: function (form) {
			myApp.showIndicator();
             $$.ajax({
                 type: "POST",
                 url: hostUrl+lang+'/appv1/signup/',
                 data: $(form).serialize(),
                 success: function (data, textStatus) {
                 	switch(Number(data)) {
                 		case -1:
                 		case -2:
                 			myApp.alert(translate['errCell'],'');
                 		break;
                 		case 0:
                 			myApp.alert(translate['errSystem'],'');
                 		break;
                 		default :
                 			myApp.closeModal('.popup-login',true);
                 			storage.setItem('mId'+defaultId,data);
                 			mId=data;
                 		break;
                 	}
                 	myApp.hideIndicator();
                 },
                 error: function(xhr, textStatus){ 
				    // We have received response and can hide activity indicator
				    myApp.hideIndicator(); 
				    myApp.alert(errorConnection,errorConnectionEn);

		  		}
             });
             return false; // required to block normal submit since you used ajax
         }
	});
}
function setDir(){
	if(storage.getItem('dirLang'+defaultId)=='rtl'){
		$('#cssRTL').attr('href','css/framework7.'+sysApp+'.rtl.css');
	}
	else {
		$('#cssRTL').attr('href','#');
	}
}
initPage=false;
function init() {
	if(initPage)return false;
	initPage=true;
	translate	=$.parseJSON(storage.getItem('translate'+defaultId));
	index 		=$.parseJSON(storage.getItem('index'+defaultId));
	glang 		=storage.getItem('dLang'+defaultId);
	dir 		='g'+storage.getItem('dirLang'+defaultId);
	var menu	='';
	var endMenu	='';
	var mainMenu='';

	$.each(index, function( key, value ) {
		switch(key){
			case 'social':
				endMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
				if(value['status'])mainMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			break;
			case 'languages':
				data =$.parseJSON(storage.getItem('langs'+defaultId));
				countLang =$.map(data['langs'], function(el) { return el }).length;
				if (countLang>1) {
					endMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
					if(value['status'])mainMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-'+key+'" class="open-popup"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
					var langs='';

			        $.each(data['langs'], function( key, value ) {
					  langs+='<a href="#" class="form_submit close-popup defaultLang" value="'+key+'" dir="'+value['dir']+'">'+value['title']+'</a>';
					});

			        $('#langform').html(langs);
				}
			break;
			case 'freepage':
				$.each(value, function( subKey, subValue ) {
					if(subValue['type']){
						menu+='<li class="'+dir+'"><a href="'+key+'.html?id='+subValue['id']+'&title='+encodeURI(subValue['title'])+'" class="close-panel"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
						if(subValue['status'])mainMenu+='<li><a href="'+key+'.html?id='+subValue['id']+'&title='+encodeURI(subValue['title'])+'"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
					}
					else {
						menu+='<li class="'+dir+'"><a href="'+key+'-item.html?id='+subValue['id']+'" class="close-panel"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
						if(subValue['status'])mainMenu+='<li><a href="'+key+'-item.html?id='+subValue['id']+'"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
					}

				});
			break;
			case 'external':
				$.each(value, function( subKey, subValue ) {
					menu+='<li class="'+dir+'"><a href="'+subValue['link']+'" class="close-panel external" target="_blank"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
					if(subValue['status'])mainMenu+='<li><a href="'+subValue['link']+'" class="external" target="_blank"><img src="images/icons/'+homeIcon+'/'+subValue['icon']+'.png" alt="" title="" /><span>'+subValue['title']+'</span></a></li>';
				});
			break;
			default :
				menu+='<li class="'+dir+'"><a href="'+key+'.html" class="close-panel"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
				if(value['status'])mainMenu+='<li class="'+dir+'"><a href="'+key+'.html"><img src="images/icons/'+homeIcon+'/'+value['icon']+'.png" alt="" title="" /><span>'+value['title']+'</span></a></li>';
			break;
		}		
	});
	endMenu+='<li class="'+dir+'"><a href="#" data-popup=".popup-pdf" class="open-popup close-panel"><img src="images/icons/'+homeIcon+'/13.png" alt="" title="" /><span>'+translate['aboutPdf']+'</span></a></li>';
	endMenu+='<li class="'+dir+'"><a href="#" class="close-panel" id="reload"><img src="images/icons/'+homeIcon+'/41.png" alt="" title="" /><span>'+translate['reload']+'</span></a></li>';
	
	$('#socialTitle').html(translate['social']);
	$('#sidebar').html(menu+endMenu);

	varibles['mainMenu']=mainMenu;
	$('#mainMenu').html(varibles['mainMenu']);

	setSlider();
// alert(3)
}

$(document).ready(function() {

	$('.close-popup').on('click', function() {
		 $("label.error").hide();
	});
	$('#themColor').attr('href',themColor+'.css');

	// load languages
	if(!storage.getItem('langs'+defaultId)){
		myApp.showIndicator();
		$$.ajax({
		   url: hostUrl+'appv1/getLangs/',
		   type: "GET",
		   dataType: "html",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){

		    storage.setItem('langs'+defaultId,data);
			setLangs();
			myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		});
	}
	else {
		// check default language
		if (!storage.getItem('dLang'+defaultId)){
			setLangs();
		}
		else {
			setDir();
			init();
			// open form login
			if(!storage.getItem('mId'+defaultId)){
				setLogin();
			}
			setSlider();
		}
	}

	
});

$(document).on('click','#reload',function(){
	
	localStorage.clear();
	if(mId)storage.setItem('mId'+defaultId,mId);
	if(glang)storage.setItem('dLang'+defaultId,glang);
	window.location.replace('');
	});

var setSlide=false;
function setSlider(){
	if(setSlide)return false;
	setSlide=true;
	myApp.showIndicator();
	$$.ajax({
	   url: hostUrl+glang+'/appv1/slider/',
	   type: "GET",
	   dataType: "json",
	   // if successful response received (http 2xx)
	   success: function(data, textStatus ){
	 	var slider='';
		$.each(data['slider'], function( key, value ) {
			slider+='<div class="swiper-slide"><img src="'+value+'" alt="" title="" /></div>';
		});
		varibles['slider']=(slider)?slider:'<div class="swiper-slide"><img src="images/slider/slide1.jpg" alt="" title="" /></div>';
	    $('#homeSlider').html(varibles['slider']);
	    mySwiper = new Swiper('.swiper-container',{effect:'slide',parallax:true,pagination:'.swiper-pagination',paginationClickable:true});
	    if(sysApp=='android' && data.app.version>version){
	    	
	    	myApp.addNotification({
		        title: '',
		        message: translate['newVersion']+' <a href="'+data.app.link+'" class="external appColor">'+translate['yesDown']+'</a>',
		    });
	    }
	    myApp.hideIndicator();
	 	},
	  error: function(xhr, textStatus){ 
	    // We have received response and can hide activity indicator
	    myApp.hideIndicator(); 
	    myApp.alert(errorConnection,errorConnectionEn);
	  }
	});
}
$$('.popup-social').on('popup:opened', function () {
	myApp.showIndicator();
  $$.ajax({
	   url: hostUrl+glang+'/appv1/social/',
	   type: "GET",
	   dataType: "json",
	   // if successful response received (http 2xx)
	   success: function(data, textStatus ){
	   	var socials='';
	    $.each(data,function(key , val){
	    	socials+='<li><a href="'+val['link']+'" class="external" target="_blank"><img src="images/icons/black/'+val['icon']+'.png" alt="" title="" /><span>'+val['title']+'</span></a></li>';
	    });
	    $('.social_share').html(socials);
	    myApp.hideIndicator();
	  },
	  error: function(xhr, textStatus){ 
	    // We have received response and can hide activity indicator
	    myApp.hideIndicator(); 
	    myApp.alert(errorConnection,errorConnectionEn);

	  }
	})
});


$$('.popup-pdf').on('popup:opened', function () {
	myApp.showIndicator();
  $$.ajax({
	   url: hostUrl+glang+'/appv1/pdf/',
	   type: "GET",
	   dataType: "html",
	   // if successful response received (http 2xx)
	   success: function(data, textStatus ){
	   $('#pdfTitle').html(translate['aboutPdf']);
	   $('#pdfContent').html(data);

	    myApp.hideIndicator();
	  },
	  error: function(xhr, textStatus){ 
	    // We have received response and can hide activity indicator
	    myApp.hideIndicator(); 
	    myApp.alert(errorConnection,errorConnectionEn);

	  }
	})
});
$$(document).on('pageInit', function (e) {
	$('.close-popup').on('click', function() {
		 $("label.error").hide();
	});	
	(function() {
		[].slice.call( document.querySelectorAll( 'select#selectoptions' ) ).forEach( function(el) {	
			new SelectFx(el, {
				stickyPlaceholder: false
			});
		} );
	})();

})
myApp.onPageBeforeAnimation('index',function(page){
	if(varibles['slider']){
		$('#homeSlider').html(varibles['slider']);
		mySwiper = new Swiper('.swiper-container',{effect:'slide',parallax:true,pagination:'.swiper-pagination',paginationClickable:true});
	}
});
myApp.onPageAfterAnimation('index',function(page){
  $('#mainMenu').html(varibles['mainMenu']);
});

myApp.onPageInit('blogitem', function (page) {
	$('.comment_submit').on( "click",function(){
		sendMessage(page.query.id,$(this));
		return false;
	});

	$$('#tab2').on('show', function () {
		getMessage(page.query.id,1,$(this))
	});
});
myApp.onPageInit('productsitem', function (page) {
	$('.comment_submit').on( "click",function(){
		sendMessage(page.query.id,$(this));
		return false;
	});

	$$('#tab2').on('show', function () {
		getMessage(page.query.id,2,$(this))
	});
});
myApp.onPageInit('freepageitem', function (page) {
	$('.comment_submit').on( "click",function(){
		sendMessage(page.query.id,$(this));
		return false;
	});

	$$('#tab2').on('show', function () {
		getMessage(page.query.id,3,$(this))
	});
});
function getMessage(id,type,obj){
	myApp.showIndicator();
		$$.ajax({
	   url: hostUrl+glang+'/appv1/comments/prm/'+id+'/'+type,
	   type: "GET",
	   dataType: "json",
	   // if successful response received (http 2xx)
	   success: function(data, textStatus ){
	   	comments='';
	    $.each(data,function(key , val){
	    	comments+='<li class="comment_row"><div class="comm_content"><p>'+val['message']+'<br /> <a href="#">'+val['name']+' '+val['cDate']+'</a></p></div>';
	    	comments+=(val['replay'])?('<ul><li class="replay">'+val['replay']+'<br />'+val['replayDate']+'</li></ul>'):'';
	    	comments+='</li>';
	    });

	    obj.children('ul').html(comments);
	    myApp.hideIndicator();
	  },
	  error: function(xhr, textStatus){ 
	    // We have received response and can hide activity indicator
	    myApp.hideIndicator(); 
	    myApp.alert(errorConnection,errorConnectionEn);

	  }
	})
}
function sendMessage(id,obj){
	if(!mId){
		setLogin();
		return false;
	}
	textMessage=obj.parent().children('#comment').val();
	if(!textMessage){
		myApp.alert(translate['required'],'');
		return false;
	}
	myApp.showIndicator();
	$$.ajax({
	   url: hostUrl+glang+'/appv1/addcomment/prm/'+id+'/'+obj.parent().children('#type').val()+'/'+mId,
	   type: "POST",
	   data:{'textMessage':textMessage},
	   // if successful response received (http 2xx)
	   success: function(data, textStatus ){
	   	txt=$.parseJSON(data);
	   	myApp.alert(txt.message,txt.error);
	   	obj.parent().children('#comment').val('');
	   	myApp.hideIndicator();
	  },
	  error: function(xhr, textStatus){ 
	    // We have received response and can hide activity indicator
	    myApp.hideIndicator(); 
	    myApp.alert(errorConnection,errorConnectionEn);

	  }
	})
	return false;
}

// open login form
$(document).on( "click", ".defaultLang", function() {
	setSetting($(this).attr('value'),$(this).attr('dir'),true);
});
// load map
myApp.onPageInit('contact', function (page) {
	
	$('.contact_submit').on( "click",function(){
		if(!mId){
			setLogin();
			return false;
		}
		if(!$('#ContactComment').val()){
			myApp.alert(translate['required'],'');
			return false;
		}
		myApp.showIndicator();
		$$.ajax({
		   url: hostUrl+glang+'/appv1/addcontact/prm/'+mId,
		   type: "POST",
		   data:{'textMessage':$('#ContactComment').val()},
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		   	txt=$.parseJSON(data);
		   	myApp.alert(txt.message,'');
		   	$('#ContactComment').val('')
		   	myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
		return false;
	})
	$.getScript('http://maps.google.com/maps/api/js?key=AIzaSyCju6A0rRt9gmIqTqCKDJUPuvtJ9d0rWLo', function () {
	//we define here the style of the map
	var style= [{"stylers":[{"visibility": "on"},{"saturation": -100},{"gamma": 0.54}]},
	{"featureType": "road","elementType": "labels.icon","stylers": [{"visibility": "off"}]},
	{"featureType": "water","stylers": [{"color": "#4d4946"}]},
	{"featureType": "poi", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]},
	{"featureType": "poi","elementType": "labels.text","stylers": [{"visibility": "simplified"}]},
	{"featureType": "road","elementType": "geometry.fill","stylers": [{"color": "#ffffff"}]},
	{"featureType": "road.local", "elementType": "labels.text", "stylers": [{"visibility": "simplified"}]},
	{"featureType": "water", "elementType": "labels.text.fill", "stylers": [{"color": "#ffffff"}]},
	{"featureType": "transit.line","elementType": "geometry","stylers": [{"gamma": 0.48}]},
	{"featureType": "transit.station", "elementType": "labels.icon","stylers": [{"visibility": "off"}]},
	{"featureType": "road", "elementType": "geometry.stroke","stylers": [{"gamma": 7.18}]}];

  function initialize() {
    var myLatLong = new google.maps.LatLng(varibles['latitude'],varibles['longitude']);
    var mapOptions = {
      center: myLatLong,
      zoom: 17,
      panControl: false,
      mapTypeControl: false,
      streetViewControl: false,
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      scrollwheel: false,
      styles: style
    };
    var map = new google.maps.Map(document.getElementById("mapCanvas"),
    mapOptions);
    // To add the marker to the map, use the 'map' property
    var marker = new google.maps.Marker({
      position: myLatLong,
      map: map,
      animation: google.maps.Animation.BOUNCE
    });
  }

  initialize()
  });
});
////////////

function searchTemplate(data,req){
	row='';
	if(!data['count']){
	  	return '<li>'+translate['nosearch']+'</li>';
	  }
	$.each(data['post'], function(key,val){
	  
	  if(req!='freepage'){
		row+='<li>\
		  <div class="shop_thumb"><a href="'+req+'-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a></div>\
		  <div class="shop_item_details">\
          <h4><a href="'+req+'-item.html?id='+val['id']+'">'+val['title']+'</a></h4>\
          <p>'+val['summary']+'</p></div>\
          </li>';
      }
      else {
      	row+='<li>\
		  <div>\
          <h4><a href="'+req+'-item.html?id='+val['id']+'">'+val['title']+'</a></h4>\
          <p>'+val['summary']+'</p></div>\
          </li>';
      }
      varibles['searchRow']++;
    });
    return row;
}
myApp.onPageInit('search', function (page) {

	$('#searchSend').on('click', function () {
		if(!$('#word').val())return false;
		filter=page.query.id?page.query.id:0;
		myApp.showIndicator();
		$$.ajax({
		   url: hostUrl+glang+'/appv1/search/prm/'+page.query.req+'/'+$('#word').val()+'/'+filter,
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		   	varibles['searchCount']=data.count;
		 	varibles['searchCurent']=data.post.length;
		 	varibles['searchRow']=1;
		 	varibles['searchPage']=1;

		    $('#resultSearch').html(searchTemplate(data,page.query.req));
		    myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
		return false;
	})


	$$('.infinite-scroll').on('infinite', function () {
 		// Exit, if loading in progress
        if (loading) return;
        // Set loading flag
        loading = true;
		if (varibles['searchCurent']>=varibles['searchCount']) {
			
			loading = false;
	        // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
	        myApp.detachInfiniteScroll($$('.infinite-scroll'));

	        return;
      	}
      	varibles['searchPage']++;
      	filter=page.query.id?page.query.id:0;
      	myApp.showIndicator();
      	$$.ajax({
		   url: hostUrl+glang+'/appv1/search/prm/'+page.query.req+'/'+$('#word').val()+'/'+filter+'/'+varibles['searchPage'],
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		 	varibles['searchCurent']+=data.post.length;
		    $('#resultSearch').append(searchTemplate(data,page.query.req));
			    // Reset loading flag
	          	loading = false;
	          	myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
    });
})

function productTemplate(data){
	row='';
	$.each(data, function(key,val){
		if(val['id']){
		row+='<li>\
          <div class="shop_thumb"><a href="products-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a></div>\
          <div class="shop_item_details">\
          <h4><a href="products-item.html?id='+val['id']+'">'+val['title']+'</a></h4>\
          <p>'+val['summary']+'</p>';
        row+=val['price']?'<div class="shop_item_price">'+(val['off']?('<del>'+val['price']+'</del>'):val['price'])+'</div>':'';
        row+=val['off']?'<div class="shop_item_price">'+val['off']+'</div>':'';
        row+='</div>\
          </li>';
    	varibles['productRow']++;
    }
    });
    
    return row;
}
myApp.onPageInit('products', function (page) {
	id=Number(page.query.id)?page.query.id:0
	$$('.infinite-scroll').on('infinite', function () {
 		// Exit, if loading in progress
        if (loading) return;
        // Set loading flag
        loading = true;
		if (varibles['productCurent']>=varibles['productCount']) {
			
			loading = false;
	        // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
	        myApp.detachInfiniteScroll($$('.infinite-scroll'));
	        return;
      	}
      	varibles['productPage']++;
      	myApp.showIndicator();
      	$$.ajax({
		   url: hostUrl+glang+'/appv1/products/prm/'+id+'/'+varibles['productPage'],
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		 	varibles['productCurent']+=data.post.length;
		    $('#postProducts').append(productTemplate(data['post']));
			    // Reset loading flag
	          	loading = false;
	          	myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
    });
})
function blogTemplate(data){
	// var posts=[];
	row='';
	$.each(data, function(key,val){
	if(val['id']){
		row+='<div class="post_entry">';
    	row+=(varibles['blogRow']%2)?('<div class="post_thumb">\
				<a href="blog-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a>\
			</div>\
			<div class="post_details">\
				<h2><a href="blog-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p>'+val['summary']+'</p>\
			</div>'):
    	('<div class="post_details">\
				<h2><a href="blog-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p>'+val['summary']+'</p>\
			</div>\
			<div class="post_thumb">\
				<a href="blog-item.html?id='+val['id']+'"><img src="'+val['pic']+'" alt="" title="" /></a>\
			</div>');
    	row+='</div>';
    	varibles['blogRow']++;
    }
    	// posts[key]={part_1:row}
    });
    
    return row;
}

///////////
myApp.onPageInit('blog', function (page) {
	id=Number(page.query.id)?page.query.id:0
	$$('.infinite-scroll').on('infinite', function () {
 		// Exit, if loading in progress
        if (loading) return;
        // Set loading flag
        loading = true;

		if (varibles['blogCurent']>=varibles['blogCount']) {
			loading = false;
	        // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
	        myApp.detachInfiniteScroll($$('.infinite-scroll'));
	        // Remove preloader
	        // $$('.infinite-scroll-preloader').remove();
	        return;
      	}
      	varibles['blogPage']++;
      	myApp.showIndicator();
      	$$.ajax({
		   url: hostUrl+glang+'/appv1/blog/prm/'+id+'/'+varibles['blogPage'],
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		 	varibles['blogCurent']+=data.post.length;
		    $('#postBlog').append(blogTemplate(data['post']));
			    // Reset loading flag
	          	loading = false;
	          	myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
    });

})

function freepageTemplate(data){
	// var posts=[];
	row='';
	$.each(data, function(key,val){
	if(val['id']){
		row+='<div class="post_entry">';
    	row+=(varibles['freepageRow']%2)?('<div class="">\
				<h2><a href="freepage-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p>'+val['summary']+'</p>\
			</div>'):
    	('<div class="">\
				<h2><a href="freepage-item.html?id='+val['id']+'">'+val['title']+'</a></h2>\
				<p>'+val['summary']+'</p>\
			</div>');
    	row+='<hr /></div>';
    	varibles['freepageRow']++;
    }
    	// posts[key]={part_1:row}
    });
    
    return row;
}

///////////
myApp.onPageInit('freepage', function (page) {
	id=Number(page.query.id)?page.query.id:0
	$$('.infinite-scroll').on('infinite', function () {
 		// Exit, if loading in progress
        if (loading) return;
        // Set loading flag
        loading = true;

		if (varibles['freepageCurent']>=varibles['freepageCount']) {
			loading = false;
	        // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
	        myApp.detachInfiniteScroll($$('.infinite-scroll'));
	        // Remove preloader
	        // $$('.infinite-scroll-preloader').remove();
	        return;
      	}
      	varibles['freepagePage']++;
      	myApp.showIndicator();
      	$$.ajax({
		   url: hostUrl+glang+'/appv1/freepage/prm/'+id+'/'+varibles['freepagePage'],
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		 	varibles['freepageCurent']+=data.post.length;
		    $('#postFreepage').append(freepageTemplate(data['post']));
			    // Reset loading flag
	          	loading = false;
	          	myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
    });
})
myApp.onPageInit('poll', function (page) {
	
  	$('.rate').on('change',function(){
  		if(!mId){
			setLogin();
			return false;
		}
  		if(varibles['poll']){
  			myApp.alert(translate['oldpoll'],'');
  			return false;
  		}
  		myApp.showIndicator();
	  	$$.ajax({
		   url: hostUrl+glang+'/appv1/addpoll/prm/'+$(this).val(),
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		    myApp.alert(data.message,'');
		    if(!data.error)varibles['poll']=1;
		    myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
	})
})
window.onhashchange = function() {
 myApp.closePanel();
 jQuery('#swipebox-close').trigger('click');
}
myApp.onPageInit('catgallery', function (page) {

	$.swipebox($(".swipebox"));
	$("a.switcher").on("click", function(e){
		e.preventDefault();
		
		var theid = $(this).attr("id");
		var theproducts = $("ul#photoslist");
		var classNames = $(this).attr('class').split(' ');
		
		
		if($(this).hasClass("active")) {
			// if currently clicked button has the active class
			// then we do nothing!
			return false;
		} else {
			// otherwise we are clicking on the inactive button
			// and in the process of switching views!

  			if(theid === "view13") {
				$(this).addClass("active");
				$("#view11").removeClass("active");
				$("#view11").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_11.png");
				
				$("#view12").removeClass("active");
				$("#view12").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_12.png");
			
				var theimg = $(this).children("span").children("img");
				theimg.attr("src","images/icons/"+toolbarIcon+"/switch_13_active.png");
			
				// remove the list class and change to grid
				theproducts.removeClass("photo_gallery_11");
				theproducts.removeClass("photo_gallery_12");
				theproducts.addClass("photo_gallery_13");

			}
			
			else if(theid === "view12") {
				$(this).addClass("active");
				$("#view11").removeClass("active");
				$("#view11").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_11.png");
				
				$("#view13").removeClass("active");
				$("#view13").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_13.png");
			
				var theimg = $(this).children("span").children("img");
				theimg.attr("src","images/icons/"+toolbarIcon+"/switch_12_active.png");
			
				// remove the list class and change to grid
				theproducts.removeClass("photo_gallery_11");
				theproducts.removeClass("photo_gallery_13");
				theproducts.addClass("photo_gallery_12");

			} 
			else if(theid === "view11") {
				$("#view12").removeClass("active");
				$("#view12").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_12.png");
				
				$("#view13").removeClass("active");
				$("#view13").children("span").children("img").attr("src","images/icons/"+toolbarIcon+"/switch_13.png");
			
				var theimg = $(this).children("span").children("img");
				theimg.attr("src","images/icons/"+toolbarIcon+"/switch_11_active.png");
			
				// remove the list class and change to grid
				theproducts.removeClass("photo_gallery_12");
				theproducts.removeClass("photo_gallery_13");
				theproducts.addClass("photo_gallery_11");

			} 
			
		}

	});	
	
	$$('.infinite-scroll').on('infinite', function () {
 		// Exit, if loading in progress
        if (loading) return;
        // Set loading flag
        loading = true;
		if (varibles['galleryCurent']>=varibles['galleryCount']) {
			loading = false;
	        // Nothing more to load, detach infinite scroll events to prevent unnecessary loadings
	        myApp.detachInfiniteScroll($$('.infinite-scroll'));
	        // Remove preloader
	        // $$('.infinite-scroll-preloader').remove();
	        return;
      	}
      	varibles['galleryPage']++;
      	myApp.showIndicator();
      	$$.ajax({
		   url: hostUrl+glang+'/appv1/gallery/prm/'+page.query.id+'/'+varibles['galleryPage'],
		   type: "GET",
		   dataType: "json",
		   // if successful response received (http 2xx)
		   success: function(data, textStatus ){
		   	varibles['galleryCurent']+=data['pics'].length;
		    loading = false;
	    
		    var pics='';
		    $.each(data['pics'],function(key , val){
		    	pics+='<li><a rel="gallery-3" href="'+val['pic']+'" title="'+val['title']+'" class="swipebox"><img src="'+val['thumb']+'" alt="image"/></a></li>';
		    });
		    $('#photoslist').html($('#photoslist').html()+pics);
		    $.swipebox($(".swipebox"));
		    myApp.hideIndicator();
		  },
		  error: function(xhr, textStatus){ 
		    // We have received response and can hide activity indicator
		    myApp.hideIndicator(); 
		    myApp.alert(errorConnection,errorConnectionEn);

		  }
		})
    });
})




